# docker compose alpha viz

<!---MARKER_GEN_START-->
EXPERIMENTAL - Generate a graphviz graph from your compose file

### Options

| Name                 | Type  | Default | Description                                                                                        |
|:---------------------|:------|:--------|:---------------------------------------------------------------------------------------------------|
| `--dry-run`          |       |         | Execute command in dry run mode                                                                    |
| `--image`            |       |         | Include service's image name in output graph                                                       |
| `--indentation-size` | `int` | `1`     | Number of tabs or spaces to use for indentation                                                    |
| `--networks`         |       |         | Include service's attached networks in output graph                                                |
| `--ports`            |       |         | Include service's exposed ports in output graph                                                    |
| `--spaces`           |       |         | If given, space character ' ' will be used to indent,<br>otherwise tab character '\t' will be used |


<!---MARKER_GEN_END-->

